Development environment broken as of PHP 7.0.0

Discussions and requests related to new CMSimple features, plugins, templates etc. and how to develop.
Please don't ask for support at this forums!
cmb
Posts: 11442
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Development environment broken as of PHP 7.0.0

Postby cmb » Fri Dec 23, 2016 5:13 pm

Hi!

I've just noticed that our development environment is broken as of PHP 7.0.0. `composer install` fails, because runkit is not available for PHP 7, and that doesn't seem likely to change anytime soon.

The best alternative I can think of would be to drop runkit and switch to uopz instead. Besides that appears to be quite some work, unfortunately the API of uopz had been totally changed as of 5.0.0 (which is for PHP 7), so it might be hard if not impossible to have a single test-suite for PHP 5 & 7.

Thoughts?
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

cmb
Posts: 11442
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Development environment broken as of PHP 7.0.0

Postby cmb » Wed May 31, 2017 10:48 pm

cmb wrote:I've just noticed that our development environment is broken as of PHP 7.0.0. `composer install` fails, because runkit is not available for PHP 7, and that doesn't seem likely to change anytime soon.

This issue has been solved by using uopz under PHP 7 (implemented for CMSimple_XH 1.7 only). PHP 7.1 might be another issue because there are no official uopz Windows builds available for PHP 7.1, and there is a ticket asking for PHP 7.1 support.
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+

cmb
Posts: 11442
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

Re: Development environment broken as of PHP 7.0.0

Postby cmb » Fri Jun 09, 2017 3:16 pm

cmb wrote:PHP 7.1 might be another issue because there are no official uopz Windows builds available for PHP 7.1, and there is a ticket asking for PHP 7.1 support.

Well, PHP 7.1 is already supported by current master of UOPZ; there just hasn't been a new release. If you want to run the test suite under XAMPP 7.1.4 (or another binary-compatible PHP build), you can use the following package:

PS: Wow, schon 28 Downloads! Der Counter scheint nicht wirklich nützlich. :)

PPS: uopz 5.0.2 has been released and there are PHP 7.1 DLLs available, so I've removed the self-built DLL.
Last edited by cmb on Thu Aug 03, 2017 3:32 pm, edited 1 time in total.
Reason: Added PPS
Christoph M. Becker –Plugins for CMSimple_XH, but not for CMSimple 4+


Return to “Open Development”

Who is online

Users browsing this forum: No registered users and 3 guests